{% set PageTitle = "Request One Time Access Code" %} {% extends "opvmaster.html"
%} {% block styles %} {% endblock %} {% block main %}

<div class="opv-main" id="opv-master">
    <div class="opv-master theme-cool-grey">
        <div class="opv-master__container container">
            <div class="opv-master__main">
                <div class="opv-master__left-content">
                    <div id="opv-top-nav"></div>
                    <hr />
                    <div id="opv-left-nav"></div>
                </div>
                <div class="opv-master__right-content">
                    <div id="opv-right-nav"></div>
                </div>
            </div>
        </div>
    </div>
</div>

{% endblock %} {% block scripts %}
<script>
    // Left-Nav ::::OpvSettings
    ReactDOM.render(
        React.createElement(Components.OpvHeaderTitle, {
            name: "Hi, John Doe ",
            home: {
                html: '<a href="#">Home</a>'
            },
            settings: {
                html: '<a href="#">Settings</a>'
            },
            logout: {
                html: '<a href="#">Logout</a>'
            }
        }),
        document.getElementById("opv-top-nav")
    );
    ReactDOM.render(
        React.createElement(Components.OpvChangeYourPassword, {
            back: '<a href="#">&lt; Back</a>',
            // title: `Change your password`,
    //         description: `
    //  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
    //      tempor incididunt ut labore et dolore magna aliqua.</p>

    //  `,
            formArea: `<div id="signin-form-area" class="change-your-password"></div>`,
        }),
        document.getElementById("opv-left-nav")
    );
    ReactDOM.render(
        React.createElement(Components.Form, {
            endpoint: '#',
            isOpvForm: true,
            heading:'Change your password',
            intro: `Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
            tempor incididunt ut labore et dolore magna aliqua.`,
            // intro: `Lorem ipsum needs to have at least XXX digits one capital and one special character`,
            groups: [
            {
                id: 'opv-change-password',
                fields: [
                    {
                        id: 'current-password',
                        type: 'password',
                        label: 'Enter your current password',
                        customError: 'Please enter a valid password', 
                        formatError: 'Please enter a valid changepassword',
                        isOpvField: true,
                        data:{
                            //minlength: 3,
                            // changepassword: true
                            password: true
                        }
                    }, 
                    {
                        id: 'create-new-password',
                        type: 'password',
                        label: 'Create your new password',
                        additional: 'Lorem ipsum needs to have at least XXX digits one capital and one special character',
                        customError: 'Please enter a valid password',
                        formatError: 'Please enter a valid password',
                        isOpvField: true,
                        data:{
                            // minlength: 3,
                            // changepassword: true
                            password: true
                        }
                    }, 
                    {
                        id: 'confirm-new-password',
                        type: 'password',
                        label: 'Confirm your new password',
                        customError: 'Please enter a valid password',
                        formatError: 'Please enter a valid password',
                        isOpvField: true,
                        data:{
                            // minlength: 3,
                            // changepassword: true                       
                            password: true
                        }
                    }
                ]
            }
            ],
            submit: 'Save',
            testSuccess:true,
            testFailure:false
        }),
        document.getElementById("signin-form-area")
    );
    ReactDOM.render(
        React.createElement(Components.OpvRightNav, {
            title: `Need some help?`,
            content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
            cta: `<img src="../../dist/images/icon/icon-faq.svg" />`,
            faqTxt: `FAQ`,
            theme: {
                themeName: "cool-grey"
            },

            faqContent: `<h6>FAQ’s</h6>
            <p class="faq-subhead"><b>Registration</b></p>

            <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            
            <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="paraHeading"><b>Logged in</b></p>

            <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
            <p class="faq-copy ans"><b>A.</b></p>`
        }),
        document.getElementById("opv-right-nav")
    );
</script>
{% endblock %}